﻿@model IEnumerable<FunXgame.Models.Marca>
@{
    ViewBag.Title = "ListarProducto";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="card text-center" style="background-color:whitesmoke">
    @{Html.RenderAction("AdminPanelMenu", "AdminPanel");}


    <div class="card-body">
        <div class="card text-left" style="background-color:whitesmoke">
            <div class="card-header">
                <ul class="nav nav-tabs card-header-tabs">

                    <li class="nav-item">
                        <a class="nav-link " style="color:white;background-color:black" href="~/Productos/ListarProducto">Listar Productos</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link " style="color:black" href="~/Productos/CrearProducto">Agregar Producto</a>
                    </li>
                </ul>
            </div>
            <div class="card-body">
                <div class="form-row">
                    <div class="col-3 form-group">
                        <input class="form-control" type="text" id="Codigo_producto" value="" placeholder="Codigo producto" />
                    </div>
                    <div class="col-3 form-group">
                        <input class="form-control" type="text" id="Nombre_producto" value="" placeholder="Nombre producto" />
                    </div>
                    <div class="col-3 form-group">
                        @Html.DropDownList("Id_categoria", null, "Todas las categorías", htmlAttributes: new { @class = "form-control", id = "Id_categoria" })
                    </div>
                    <div class="col-3 form-group">
                        @Html.DropDownList("Id_marca", null, "Todas las marcas", htmlAttributes: new { @class = "form-control", id = "Id_marca" })
                    </div>
                    <div class="col-3 form-group">
                        @Html.DropDownList("Id_estado", null, "Todos los estados", htmlAttributes: new { @class = "form-control", id = "Id_estado" })
                    </div>

                    <div>
                        <button class="btn btn-dark" id="buscar">Buscar</button>
                    </div>
                </div>
                <div class="table-responsive" id="tablaProducto">
                    
                </div>
            </div>
        </div>
    </div>
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    <script src="~/Scripts/sweetalert.js"></script>
    <script>

         $(window).on("load", function () {
             cargaTablaProducto();
         });

        $('#buscar').click(function () {
            cargaTablaProducto();
            $(this).blur();
        });

        function cargaTablaProducto() {
            let datos = '?codigo=' + $('#Codigo_producto').val() + '&nombre=' + $('#Nombre_producto').val() + '&categoria=' + $('#Id_categoria').val() + '&marca=' + $('#Id_marca').val()+ '&estado=' + $('#Id_estado').val();
                $.get('@Url.Action("ListarProductoPartial")' + datos, function (lista) {
                    $('#tablaProducto').html(lista);
                });
        }


    </script>
}

